import {
	apiurl
} from "./apiurl.js"

// vm指向this
const install = (Vue, vm) => {
	let loginApi = (params = {}) => vm.$u.http.post(apiurl.loginUrl, params);
	// 将各个定义的接口名称，统一放进对象挂载到vm.$u.api(因为vm就是this，也即this.$u.api)下
	vm.$u.api = {
		loginApi
	};
}
export default {
	install
}
